Interlaken
API referenceAgents and workflowsWorkflows

List run history (cursor-paginated: ?before=<timeuuid>&limit=)

GET
/api/v1/workflows/{id}/runs

Requires the workflows:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Query Parameters

before?string
limit?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/workflows/string/runs"
{  "items": [    {      "created_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z",      "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",      "seq": "string",      "state": "string",      "tokens_total": 0    }  ],  "next_before": "string"}